Bug 183484 - CVE-2006-0455 gpg will quietly exit when attempting to verify a malformed message
CVE-2006-0455 gpg will quietly exit when attempting to verify a malformed mes...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnupg (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
source=vendorsec,reported=20060213,pu...
: Security
Depends On:
Blocks: 183726 183727
  Show dependency treegraph
 
Reported: 2006-03-01 08:56 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0266
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:31:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-03-01 08:56:21 EST
+++ This bug was initially created as a clone of Bug #181822 +++

The Gentoo project identified a security related bug in GnuPG.  When
using any current version of GnuPG for unattended signature
verification (e.g. by scripts and mail programs), false positive
signature verification of detached signatures may occur.

This is primarily an issue since gpg return 0 on what should be a failure.  This
will break automated scripts.

http://marc.theaimsgroup.com/?l=gnupg-devel&m=113999098729114&w=2


A reproducer for RHEL can be found here:
http://lists.gnupg.org/pipermail/gnupg-announce/2006q1/000211.html
(The Background section near the bottom)

This issue also affects RHEL2.1 and RHEL3
Comment 4 Red Hat Bugzilla 2006-03-15 11:31:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0266.html

Note You need to log in before you can comment on or make changes to this bug.